System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

The class is not intended for use as a stand-alone component, but as a class from which other classes derive standard functionality.

Used to create a strongly typed .

- Constructor

  The class is not intended for use as a stand-alone component, but as a class from which other classes derive standard functionality.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` ``

  The class is not intended for use as a stand-alone component, but as a class from which other classes derive standard functionality.

  Generates a strongly typed .

  The source that specifies the metadata for the typed . The namespace that provides the target namespace for the typed . The generator used to create the typed . 1.0.5000.0 2.0.0.0
- Method
  System.String `` ``

  The class is not intended for use as a stand-alone component, but as a class from which other classes derive standard functionality.

  Transforms a string in a valid, typed name.

  A string that is the converted name.

  The source name to transform into a valid, typed name. The generator used to perform the conversion. 1.0.5000.0 2.0.0.0
System.Obsolete("TypedDataSetGenerator class will be removed in a future release. Please use System.Data.Design.TypedDataSetGenerator in System.Design.dll.")